/*
    AMIF
    DESENVOLVIDO POR DIALWEB.COM.BR
*/

@import url(//fonts.googleapis.com/css?family=Inter:200,400,600);

:root {
    --color-blue: #00bef2;
    --color-green: #63c76a;
    --color-green-hover: #59bd60;
    --color-gray-light: #f4f4f4;
    --color-gray-light2: #ddd;
    --color-gray: #444;
    --color-gray2: #777;
}

html,
body {
    height: 100%;
}

body {
    font-family: Inter, Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: var(--color-gray);
    background: #f2f3f6;
}

#all {
    position: relative;
    padding-bottom: 13rem;
    min-height: 100%;
}

/* LINKS */
a {
    color: var(--color-gray);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* ALERT */
.alert {
    color: #1b1e21;
    background-color: #d6d8d9;
    border: 1px solid #c6c8ca;
    margin-bottom: 0.5rem;
    padding: 0.5rem 1.5rem;
    border-radius: 0.5rem;
}

.alert > .badge {
    float: left;
    padding: 2px 8px;
    font-size: 12px;
    line-height: 14px;
    font-weight: bold;
    text-align: center;
    vertical-align: baseline;
    text-transform: capitalize;
    margin: 3px 10px 0 0;
    border-radius: 10px;
}

.alert > .text {
    float: left;
}

.alert.error {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.alert.error > .badge {
    color: #fff;
    background: #dc3545;
}

.alert.success {
    color: #155724;
    background: #d4edda;
    border-color: #c3e6cb;
}

.alert.success > .badge {
    color: #fff;
    background: #28a745;
}

.alert.warning {
    color: #856404;
    background: #fff3cd;
    border-color: #ffeeba;
}

.alert.warning > .badge {
    color: #212529;
    background: #ffc107;
}

/* FORM */
form label {
    display: block;
    margin-top: 0.75rem;
}

form label > span {
    font-weight: bold;
}

form input,
form select,
form textarea {
    display: block;
    height: 3rem;
    color: var(--color-gray);
    border: 1px solid #ccc;
    padding: 0 20px;
    width: 100%;
    border-radius: 5px;
}

form input:focus,
form select:focus,
form textarea:focus {
    border-color: #032a51;
}

form textarea {
    height: auto;
    padding: 10px;
    resize: none;
}

form input[type="checkbox"],
form input[type="radio"] {
    display: inline;
    padding: 0;
    width: auto;
    height: auto;
}

form button {
    display: block;
    width: 100%;
    height: 3rem;
    margin: 1rem auto 0 auto;
    padding: 0 35px;
    border: 0;
    background: #ddd;
    font-weight: bold;
    border-radius: 5px;
    transition: background 0.25s;
}

form button:hover {
    background: #ccc;
}

form button.btnGreen {
    color: #fff;
    background: var(--color-green);
}

form button.btnGreen:hover {
    background: var(--color-green-hover);
}

form label.col {
    float: left;
    width: 50%;
    margin-left: 2%;
}

form label.col.f {
    margin-left: 0;
}

form label.col.small {
    width: 18%;
}

form label.col.medium {
    width: 49%;
}

form label.col.large {
    width: 79%;
}

form label.col.three {
    width: 32%;
}

form label.col.threeLarge {
    width: 60%;
}

form label.col.threeSmall {
    width: 18%;
}

form label.senha {
    position: relative;
}

form label.senha > a {
    position: absolute;
    bottom: 0;
    right: 0;
    line-height: 3rem;
    padding: 0 1rem 1rem 1rem;
}

form label.otp {
    display: flex;
    gap: 0.5rem;
}

form label.otp > input {
    max-width: 3rem;
    padding: 0;
    text-align: center;
    text-transform: uppercase;
}

form .btnCenter {
    text-align: center;
}

form .btnCenter > button {
    display: inline-block;
    width: auto;
    margin: 30px 1% 0 1%;
}

form .radio {
    display: flex;
    gap: 1rem;
    padding: 1.5rem;
    margin-top: 1rem;
    border: 1px solid var(--color-gray-light2);
    border-radius: 0.5rem;
    cursor: pointer;
}

form .radio.selected {
    background: var(--color-blue);
    border-color: var(--color-blue);
    color: #fff;
}

form .radio > .text {
    text-align: justify;
}

form .countdown {
    margin-top: 1rem;
    text-align: center;
    font-size: 0.75rem;
}

form .countdown > .counter {
    font-weight: bold;
    color: #00bef0;
    font-size: 1rem;
}

form .countdown > .link {
    display: none;
    font-size: 1rem;
    font-weight: bold;
}

form .countdown > .link > a {
    color: #00bef0;
}

/* TITULOS */
h1 {
    font-weight: bold;
    font-size: 32px;
    letter-spacing: -1px;
    margin: 0;
}

h2 {
    font-weight: bold;
    font-size: 24px;
    margin: 0;
}

h3 {
    font-weight: bold;
    font-size: 1.25rem;
    margin: 1rem 0 0 0;
}

/* ALIGNMENTS */
.alignCenter {
    text-align: center;
}

.alignRight {
    text-align: right;
}

/* TEXT SIZES */
.textSmall {
    font-size: 0.75rem;
}

/* MARGINS */
.marginTop1 {
    margin-top: 1rem;
}

/* STRUCTURE */
.bgHeader {
    height: 85px;
}

#content-wrapper {
    padding-left: 20rem;
    padding: 1rem 1rem 1rem 21rem;
}

#content-wrapper > .content {
    max-width: 98%;
    margin: 0 auto;
}

#content-wrapper > .content > .boxTitulo {
    line-height: 45px;
    margin-bottom: 20px;
}

#content-wrapper > .content > .boxTitulo > h1 {
    float: left;
}

#content-wrapper > .content > .boxTitulo > a {
    float: right;
    background: #ccc;
    padding: 0 35px;
    text-decoration: none;
    text-transform: uppercase;
    margin-left: 10px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

#content-wrapper > .content > .boxTitulo > a:hover {
    background: #bbb;
}

#content-wrapper > .content > .boxTitulo > a.blue {
    background: #4272d7;
    color: #fff;
}

#content-wrapper > .content > .boxTitulo > a.blue:hover {
    background: #3868cd;
}

#content-wrapper > .content > .boxTitulo > a > span {
    font-size: 12px;
    margin-right: 5px;
}

#content-wrapper > .content > .boxSubtitulo {
    display: inline-block;
    font-size: 1rem;
    margin-bottom: 1rem;
}

.bgBox {
    background: #fff;
    padding: 35px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

#frmFiltrar {
    display: none;
    margin-bottom: 30px;
}

.mini {
    font-size: 0.75rem;
}

/* HEADER */
#header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: #fff;
    border-bottom: 1px solid #ccc;
    box-shadow: 0 0 5px #ccc;
    z-index: 99999;
}

#header > .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 94%;
    margin: 0 auto;
    padding: 1rem 0;
}

#header > .header > .logo > img {
    height: 3rem;
}

#header > .header > .user {
    display: flex;
    gap: 2rem;
    align-items: center;
}

#header > .header > .user > .infos {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

#header > .header > .user > .infos:hover {
    text-decoration: none;
}

#header > .header > .user > .infos > i {
    font-size: 2rem;
}

#header > .header > .openMenu {
    position: absolute;
    top: 1.62rem;
    right: 1rem;
    font-size: 2rem;
    z-index: 99999;
}

/* MENU */
#menu {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: absolute;
    top: 0;
    bottom: 0; /* NOVO: Estica o fundo até o final da página */
    left: 0;
    width: 20rem;
    /* height: 100%; <- Removido */
    background: #fcfcfc;
    padding: 8.5rem 2rem 2rem 2rem;
    border-right: 1px solid #ccc;
    box-shadow: 0 0 5px #ccc;
    z-index: 99998;
    box-sizing: border-box; /* NOVO: Garante que o padding não quebre a altura */
    overflow-y: auto; /* NOVO: Cria rolagem interna caso o menu tenha itens demais */
}

/* Opcional: Deixa a barra de rolagem do menu mais fina e elegante no Chrome/Edge */
#menu::-webkit-scrollbar {
    width: 6px;
}
#menu::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 10px;
}
#menu > a {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

#menu > a > .ico {
    background: #fff;
    padding: 0.5rem;
    border-radius: 0.5rem;
    box-shadow: 0 0 3px #ccc;
}

#menu > a:hover {
    color: #3d61c2;
    text-decoration: none;
}

#menu > .title {
    font-weight: bold;
    padding-top: 1rem;
}

/* LOGIN.PHP */
#loginOrSignup {
    background: var(--color-gray-light);
}

#loginOrSignup > .boxContent {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 94%;
    max-width: 25rem;
    transform: translate(-50%, -50%);
}

#loginOrSignup > .boxContent > a {
    display: table;
    margin: 0 auto 1.5rem;
}

#loginOrSignup > .boxContent > a > img {
    display: block;
    height: 4rem;
    border: 0;
}

#loginOrSignup > .boxContent > form {
    background: #fff;
    padding: 2rem;
    border-radius: 1rem;
}

#loginOrSignup > .boxContent > form > h1 {
    text-align: center;
    margin-bottom: 1rem;
}

#loginOrSignup > .boxContent > form > .or {
    width: 100%;
    height: 1px;
    margin: 2rem auto;
    background: var(--color-gray-light2);
}

/* INDEX.PHP */
#inicio {
    display: flex;
    gap: 1.5rem;
}

#inicio > .inicio {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

#inicio > .inicio > a {
    flex-basis: calc((100% - 2rem) / 3);
    font-size: 1.3rem;
    color: #014c6c;
    font-weight: bold;
    text-align: center;
    padding: 2rem;
    background: #fff;
    border-radius: 1rem;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

#inicio > .inicio > a > img {
    display: block;
    width: 5rem;
    margin: 0 auto 1rem;
}

#inicio > .colunaDireita {
    flex-shrink: 0;
    flex-grow: 0;
    width: 16rem;
}

#inicio > .colunaDireita > .calendarioFiltro {
    display: flex;
    justify-content: space-between;
    margin-bottom: 0.5rem;
}

#inicio > .colunaDireita > .calendarioFiltro > a {
    background: #ccc;
    padding: 0.5rem;
}

#inicio > .colunaDireita > .calendarioFiltro > .mes-ano {
    display: flex;
    gap: 0.5rem;
    font-size: 0.75rem;
}

#inicio > .colunaDireita > .calendario {
    display: flex;
    flex-wrap: wrap;
}

#inicio > .colunaDireita > .calendario > .dia {
    flex-basis: calc(100% / 7);
    border: 1px solid #ccc;
    padding: 0.75rem 0;
    text-align: center;
}

#inicio > .colunaDireita > .calendario > .dia.h {
    font-weight: bold;
    background: #ccc;
}

#inicio > .colunaDireita > .calendario > .dia.hoje {
    background-color: #014c6c !important;
    color: #fff !important;
    font-weight: bold;
}

#inicio > .colunaDireita > .calendario > a.dia.hoje {
    background-color: #014c6c !important;
    color: #ffffff !important;
}

#inicio > .colunaDireita > .calendario > a.dia.evento {
    background-color: #407f4c !important;
    color: #ffffff !important;
}

#inicio > .colunaDireita > .calendario > a.dia.selecionado {
    border: 2px solid #014c6c !important;
}

#listaEventos {
    margin-top: 1rem;
}

#listaEventos > a {
    display: block;
    padding: 0.5rem 0;
    border-top: 1px solid #ccc;
}

#listaEventos > a:hover {
    text-decoration: none;
    color: #014c6c;
}

#listaEventos > a:hover > .nome {
    text-decoration: underline;
}

#listaEventos > a.f {
    border-top: 0;
}

#listaEventos > a > .data {
    font-size: 0.75rem;
}

#listaEventos > a > .nome {
    font-weight: bold;
}

/* RESULTS */
.bgBox.results {
    background: transparent;
    padding: 0;
}

.bgBox.results > header {
    color: #fff;
    background: #333;
    line-height: 60px;
    text-transform: uppercase;
}

.bgBox.results > footer {
    background: #f5f5f5;
    line-height: 60px;
    border-top: 1px solid #e5e5e5;
    padding: 0 35px;
    text-align: center;
    font-size: 14px;
}

.bgBox.results > .resultado {
    background: #fff;
    padding: 10px 0;
}

.bgBox.results > .resultado:hover {
    background: #f5f5f5;
}

.bgBox.results > .resultado span {
    font-size: 14px;
}

.bgBox.results > .noResult {
    padding: 10px 35px;
    text-align: center;
    background: #fff;
}

.bgBox.results > .resultado > .acoes {
    float: right;
    padding-right: 35px;
}

.bgBox.results > .resultado > .acoes > a {
    margin-left: 10px;
    text-decoration: none;
}

.bgBox.results > .noResult > a {
    font-weight: bold;
}

.bgBox.results .col {
    float: left;
    padding-left: 35px;
}

.bgBox.results .col.w65 {
    width: 65px;
}

.bgBox.results .col.w80 {
    width: 80px;
}

.bgBox.results .col.w150 {
    width: 150px;
}

.bgBox.results .col.w200 {
    width: 200px;
}

.bgBox.results .col.w300 {
    width: 300px;
}

.bgBox.results .col.w400 {
    width: 400px;
}

.bgBox.results .col.w500 {
    width: 500px;
}

.bgBox.results .col.w800 {
    width: 800px;
}

.bgBox.results .green {
    color: #63c76a;
}

.bgBox.results .red {
    color: #f00;
}

.bgBox.results.parciais img {
    display: block;
    max-width: 45px;
    max-height: 45px;
}

/* EVENTOS.PHP */
#eventos > .detalhes {
    display: flex;
    gap: 1rem;
}

#eventos > .detalhes > .imagem {
    flex-shrink: 0;
    flex-grow: 0;
}

#eventos > .detalhes > .descricao {
    flex-grow: 1;
    flex-shrink: 1;
}

#eventos > .detalhes > .descricao > .preco {
    font-size: 1.25rem;
    font-weight: bold;
    margin-bottom: 1rem;
    color: #0d4bc1;
}

#eventos > .detalhes > .eventos-info > div {
    margin-bottom: 10px;
}


#eventos > .detalhes .btnSite {
    display: table;
    line-height: 2rem;
    margin-top: 1rem;
    padding: 0 15px;
    border: 0;
    color: #fff;
    background: var(--color-green);
    font-weight: bold;
    border-radius: 1.5rem;
    transition: background 0.25s;
    font-size: 13px;
}

#eventos > .detalhes .btnSite:hover {
    background: var(--color-green-hover);
    text-decoration: none;
}

/* ARQUIVOS.PHP */
.filesResults > .noResult {
    text-align: center;
}

.filesResults > .items {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-top: 1rem;
}

.filesResults > .items > .item {
    flex-basis: calc((100% - 3rem) / 4);
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 0.5rem;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.filesResults > .items > .item > .detalhes {
    display: flex;
    gap: 0.5rem;
    padding: 2rem;
}

.filesResults > .items > .item > .detalhes:hover {
    color: #3d61c2;
    text-decoration: none;
}

.filesResults > .items > .item > .acoes {
    display: flex;
}

.filesResults > .items > .item > .acoes > a {
    flex-basis: 100%;
    line-height: 2rem;
    text-align: center;
    color: #fff;
    font-size: 0.75rem;
}

.filesResults > .items > .item > .acoes > a:hover {
    text-decoration: none;
}

.filesResults > .items > .item > .acoes:has(> :nth-child(2)) > a {
    flex-basis: 50%;
}

.filesResults > .items > .item > .acoes > .edit {
    background: #63c76a;
}

.filesResults > .items > .item > .acoes > .edit:hover {
    background: #59bd60;
}

.filesResults > .items > .item > .acoes > .del {
    background: #c53a3e;
}

.filesResults > .items > .item > .acoes > .del:hover {
    background: #98312f;
}

.filesResults > .items > a {
    flex-basis: calc((100% - 3rem) / 4);
    display: flex;
    gap: 0.5rem;
    align-items: center;
    background: #fff;
    padding: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.filesResults > .items > a:hover {
    color: #3d61c2;
    text-decoration: none;
}

.filesResults > .items > a > i {
    font-size: 1.25rem;
}

/* CADASTRO.PHP */
#cadastro-abas {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

#cadastro-abas > a {
    padding: 1rem 2rem;
    border-radius: 0.5rem;
    background: #fff;
    font-size: 0.75rem;
}

#cadastro-abas > a.ativa {
    background: #3d61c2;
    color: #fff;
}

.bgBox.revisao input,
.bgBox.revisao textarea {
    border: 0;
    background: transparent;
    padding: 0;
    height: 1.5rem;
}

/* MOBILE */
.mobHide {
}

.mobShow {
    display: none;
}

@media screen and (max-width: 1199px) {
    .mobHide {
        display: none;
    }

    .mobShow {
        display: block;
    }

    header > .header {
        width: 94%;
    }

    header > .header > .menu {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #fff;
        z-index: 999;
    }

    header > .header > .menu > a {
        display: table;
        width: auto;
        margin: 2rem auto 0 auto;
    }

    #content {
        width: 94%;
    }
}